6.0.0-git
2019-08-22

[#6834] Error opening pgp passphrase protected mails
Summary Error opening pgp passphrase protected mails
Queue IMP
Queue Version 4.2
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at) , slusarz (at) horde (dot) org
Requester xk3 (at) mompl (dot) org
Created 2008-06-04 (4096 days ago)
Due
Updated 2009-02-04 (3851 days ago)
Assigned 2008-06-10 (4090 days ago)
Resolved 2008-06-13 (4087 days ago)
Milestone
Patch No

History
2009-02-04 21:36:21 Chuck Hagenbuch Comment #9 Reply to this comment
We'll handle the new defect in bug #7926.
2009-02-01 23:07:07 Jan Schneider Comment #8 Reply to this comment
Could be a duplicate of bug #7926, just with pgp.php, not message.php.
2009-02-01 22:30:21 horde (at) immerda (dot) ch Comment #7 Reply to this comment
This bug or at least its behaviour  have been reintroduced with IMP 4.3.3.



We have see this problem after upgrading to 4.3.3. We have verified 
that if we downgrade back to 4.3.2 the problem doesn't occur and if we 
upgrade back to 4.3.3 we get the problem again.
2008-06-13 06:46:57 Michael Slusarz Comment #6
State ⇒ Resolved
Reply to this comment
Fixed in IMP 4.2.1.
2008-06-10 17:58:19 Chuck Hagenbuch State ⇒ Assigned
 
2008-06-10 11:17:17 xk3 (at) mompl (dot) org Comment #3 Reply to this comment
ok, some findings: In the html source of the passphrase dialog (in my 
browser), I found following tag containing mailbox and index in 
question:



<input type="hidden" name="reload" 
value="/mail-new/imp/message.php?mailbox=INBOX.Drafts%26index=127" />



Parsing this by  IMP::getCurrentMailboxInfo() in imp/lib/base.php gave:



     [mailbox] => INBOX.Drafts&index=127

     [thismailbox] => INBOX.Drafts&index=127

     [index] =>



which seems to be wrong (and results in the error message), as normal 
calling of this message should result in (?):



     [mailbox] => INBOX.Drafts

     [thismailbox] => INBOX.Drafts

     [index] => 127



Hunting down the ampersand and changing in gpg.php with the sledgehammer



//    $t->set('reload', htmlspecialchars(Util::getFormData('reload')));

     $t->set('reload', preg_replace('/%26/', '&', 
htmlspecialchars(Util::getFormData('reload')),-1) );



fixed the symptom, but I donĀ“t know where exactly the cause is.



     Martin
2008-06-10 00:04:22 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
Especially dealing with self-signed PGP emails, there is not much we 
can do to debug this remotely.  This doesn't happen to me so you will 
need to trace the error on your system.
2008-06-04 15:40:56 Chuck Hagenbuch Assigned to Michael Slusarz
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2008-06-04 15:21:16 xk3 (at) mompl (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Error opening pgp passphrase protected mails
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
I have trouble opening mails that are

encrypted with pgp passphrases (sending to myself, so no external tools

involved).



Opening such a mail, I  get asked for the passphrase. Independent of its

correctness, I get the following error message:



Error: Requested message not found.

Mail :: SELF?=91

There are no messages in this mailbox.

(and there is a funny eastern character after the name of the mailbox)



Navigating to that message again, IMP either displays the decrypted message

or notices me about a bad key, which seems to be correct.



     Martin

Saved Queries